# BoardingPassLeg class

Leg of the journey

Inheritance
  - Object
  - GenericDocumentWrapper
  - BoardingPassLeg

## Constructors

BoardingPassLeg(GenericDocument document)

## Properties

airlineDesignatorOfBoardingPassIssuer → TextFieldWrapper?
  Airline Designator Of Boarding Pass Issuer
  no setter
airlineNumericCode → TextFieldWrapper?
  Airline Numeric Code
  no setter
baggageTagLicensePlateNumbers → TextFieldWrapper?
  Baggage Tag License Plate Numbers
  no setter
checkInSequenceNumber → TextFieldWrapper
  Check In Sequence Number
  no setter
compartmentCode → TextFieldWrapper
  Compartment Code
  no setter
dateOfBoardingPassIssuanceJulian → TextFieldWrapper?
  Date Of Boarding Pass Issuance Julian
  no setter
dateOfFlightJulian → TextFieldWrapper
  Date Of Flight Julian
  no setter
departureAirportCode → TextFieldWrapper
  Departure Airport Code
  no setter
destinationAirportCode → TextFieldWrapper
  Destination Airport Code
  no setter
document → GenericDocument
  final inherited
documentFormSerialNumber → TextFieldWrapper?
  Document Form Serial Number
  no setter
documentType → TextFieldWrapper?
  Document Type
  no setter
fastTrack → TextFieldWrapper?
  Fast Track
  no setter
firstNonConsecutiveBaggageTagLicensePlateNumber → TextFieldWrapper?
  First Non Consecutive Baggage Tag License Plate Number
  no setter
flightNumber → TextFieldWrapper
  Flight Number
  no setter
forIndividualAirlineUse → TextFieldWrapper?
  For Individual Airline Use
  no setter
freeBaggageAllowance → TextFieldWrapper?
  Free Baggage Allowance
  no setter
frequentFlyerAirlineDesignator → TextFieldWrapper?
  Frequent Flyer Airline Designator
  no setter
frequentFlyerNumber → TextFieldWrapper?
  Frequent Flyer Number
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
idadIndicator → TextFieldWrapper?
  IDAD Indicator
  no setter
internationalDocumentationVerification → TextFieldWrapper?
  International Documentation Verification
  no setter
marketingCarrierDesignator → TextFieldWrapper?
  Marketing Carrier Designator
  no setter
operatingCarrierDesignator → TextFieldWrapper
  Operating Carrier Designator
  no setter
operatingCarrierPNRCode → TextFieldWrapper
  Operating Carrier PNR Code
  no setter
passengerDescription → TextFieldWrapper?
  Passenger Description
  no setter
passengerStatus → TextFieldWrapper
  Passenger Status
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
seatNumber → TextFieldWrapper
  Seat Number
  no setter
secondNonConsecutiveBaggageTagLicensePlateNumber → TextFieldWrapper?
  Second Non Consecutive Baggage Tag License Plate Number
  no setter
selecteeIndicator → TextFieldWrapper?
  Selectee Indicator
  no setter
sourceOfBoardingPassIssuance → TextFieldWrapper?
  Source Of Boarding Pass Issuance
  no setter
sourceOfCheckIn → TextFieldWrapper?
  Source Of Check In
  no setter
versionNumber → TextFieldWrapper?
  VersionNumber
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.